> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enforster.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Repositories

> Get all repositories for the organization.

**Required Scope:** `read:repo`



## OpenAPI

````yaml api-reference/openapi.json get /api/repositories
openapi: 3.1.0
info:
  title: Enforster AI API
  description: Enforster AI API for code analysis and security scanning.
  version: 1.8.0
servers: []
security:
  - ApiKeyAuth: []
  - BearerAuth: []
paths:
  /api/repositories:
    get:
      summary: List Repositories
      description: |-
        Get all repositories for the organization.

        **Required Scope:** `read:repo`
      operationId: list_repositories_api_repositories_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RepositoriesResponse'
      security:
        - ApiKeyAuth: []
        - BearerAuth: []
components:
  schemas:
    RepositoriesResponse:
      properties:
        all_repos:
          items:
            additionalProperties: true
            type: object
          type: array
          title: All Repos
      type: object
      required:
        - all_repos
      title: RepositoriesResponse
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: Use an API key in the X-API-Key header.
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Clerk JWT bearer token.

````